Take an animal out of a litter
Takes the animal out of the litter, and unlinks it from the litter’s mother. The animal is not changed otherwise. Needs write on Animals.
DELETE
https://{organization}.rescueconsole.com
/
api
/
animals
/
litters
/
{litterId}
/
members
/
{animalId}
Take an animal out of a litter
curl --request DELETE \
--url https://{organization}.rescueconsole.com/api/animals/litters/{litterId}/members/{animalId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/litters/{litterId}/members/{animalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/litters/{litterId}/members/{animalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"litter": {
"id": "<string>",
"name": "<string>",
"born_on": "2023-12-25",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"member_count": 123,
"mother_animal_id": "<string>",
"mother_name": "<string>",
"mother_pet_id": "<string>",
"members": [
{
"id": "<string>",
"name": "<string>",
"pet_id": "<string>",
"species": "<string>",
"breed": "<string>",
"sex": "<string>",
"status": "<string>",
"status_label": "<string>",
"care_state": "<string>",
"dob_estimate": "2023-12-25",
"intake_date": "2023-12-25",
"outcome_date": "2023-12-25"
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Take an animal out of a litter
curl --request DELETE \
--url https://{organization}.rescueconsole.com/api/animals/litters/{litterId}/members/{animalId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/litters/{litterId}/members/{animalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/litters/{litterId}/members/{animalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"litter": {
"id": "<string>",
"name": "<string>",
"born_on": "2023-12-25",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"member_count": 123,
"mother_animal_id": "<string>",
"mother_name": "<string>",
"mother_pet_id": "<string>",
"members": [
{
"id": "<string>",
"name": "<string>",
"pet_id": "<string>",
"species": "<string>",
"breed": "<string>",
"sex": "<string>",
"status": "<string>",
"status_label": "<string>",
"care_state": "<string>",
"dob_estimate": "2023-12-25",
"intake_date": "2023-12-25",
"outcome_date": "2023-12-25"
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
